Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

Query Parameters

project_id
string
required
role
enum<string>
required
Available options:
ROLE_UNSPECIFIED,
ROLE_DEFAULT,
ROLE_TESTER,
ROLE_VIP
ttl
string

The duration after which the token expires. If not provided, the token expires after one week. Represents a a duration between -315,576,000,000s and 315,576,000,000s (around 10000 years). Precision is in nanoseconds. 1 nanosecond is represented as 0.000000001s

Pattern: ^-?(?:0|[1-9][0-9]{0,11})(?:\.[0-9]{1,9})?s$

Response

OK

token
string

A token that can be used to authenticate the user within Motto's Content Delivery API.

refresh_token
string

A refresh token that can be used to obtain a new authentication token when the original expires.